<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginBottom="@dimen/dp_10"
            android:layout_marginLeft="5dp"
            android:layout_marginRight="5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="5dp">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/dp_10">

                    <TextView
                        android:id="@+id/quanbucaipu"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:text="本地菜谱"
                        android:textColor="#BEAA6A"
                        android:textSize="19dp"
                        android:textStyle="bold" />
                </RelativeLayout>

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="@dimen/dp_10">

                    <TextView
                        android:id="@+id/yunduancaipu"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:text="云端菜谱"
                        android:textColor="#797373"
                        android:textSize="19dp"
                        android:textStyle="bold" />
                </RelativeLayout>

                <androidx.appcompat.widget.SearchView
                    android:id="@+id/search_view"
                    android:layout_width="0dp"
                    android:layout_height="40dp"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_weight="1"
                    android:background="@drawable/ssk" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="60dp"
                android:layout_marginBottom="40dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="80dp"
                        android:layout_height="match_parent"
                        android:orientation="vertical">
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_left"
                            android:layout_width="match_parent"
                            android:layout_height="0dp"
                            android:layout_weight="1"
                            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                            app:layout_constraintLeft_toLeftOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">
                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/rv_right"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:orientation="vertical"
                            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
                    </LinearLayout>
                </LinearLayout>

                <!--                <androidx.recyclerview.widget.RecyclerView-->
                <!--                    android:id="@+id/recycler_view"-->
                <!--                    android:layout_width="match_parent"-->
                <!--                    android:layout_height="match_parent">-->
                <!--                </androidx.recyclerview.widget.RecyclerView>-->
            </RelativeLayout>

            <com.bonait.bnframework.modules.home.fragment.mode.add_qupenren
                android:id="@+id/qupenren"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone" />
        </RelativeLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>